#ifndef QT_DIALOG_HH
#define QT_DIALOG_HH

#include <map>

#include <qlayout.h>
#include <qdialog.h>

#include <dialog.hh>


class qt_dialog: public dialog
{
    typedef std::map<std::string,QWidget*> widget_map;
    typedef std::map<std::string,long> command_map;

    public:
	qt_dialog();

	virtual ~qt_dialog();

	void
	add_button(const std::string&, const std::string&, long);

	void
	add_label(const std::string&,const std::string&);

	void
	add_edit(const std::string&, const std::string&);

	long run();
    private:
	//TEMPORARY DEMO: will be stack of the QWidgets and QLayouts
	QDialog dialog_;
	QVBoxLayout layout_;
	
	widget_map	widgets_;
	command_map	commands_;
};

#endif // QT_DIALOG_HH
